﻿@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap");

:root {
    --max-width: 1380px;
    /* NEUTRAL COLORS */
    --Dark: #000;
    --Dark-80: #b5b5b9;
    --Dark-70: #cacacd;
    --Light: #fff;
    --FooterBg: #efefef;

    /* PRIMARY ACCENT COLORS */
    --Blue: #0c67c1;
    --Green: #18d691;
    --Purple: #9318ea;

    /* SECONDARY COLORS */
    --Charcoal: #3e4443;
    --Stone: #6c7877;
    --Denim: #06497f;
    --Forest: #035e49;
    --Pistachio: #a3c2bb;

    /* TYPOGRAPHY */
    --PrimaryFontFam: "Roboto", Helvetica, sans-serif;
    --PrimaryFontColor: #000;

    /* HEADING PROPERTIES */
    --H1Color: var(--Blue);
    --H1FontFam: var(--PrimaryFontFam);
    --H1FontWeight: 500;
    --H1Size: 37px;
    --H1MarTop: 3px;
    --H1MarBottom: 12px;
    --H1LetterSpacing: 0.5px;
    --H1LineHeight: 45px;

    --H2Color: var(--Blue);
    --H2FontFam: var(--PrimaryFontFam);
    --H2FontWeight: 500;
    --H2Size: 30px;
    --H2MarTop: 0;
    --H2MarBottom: 12px;
    --H2LetterSpacing: 0.5px;
    --H2LineHeight: 43px;

    --H3Color: var(--Green);
    --H3FontFam: var(--PrimaryFontFam);
    --H3FontWeight: 500;
    --H3Size: 28px;
    --H3MarTop: 5px;
    --H3MarBottom: 12px;
    --H3LetterSpacing: 0.5px;
    --H3LineHeight: 41px;

    --H4Color: var(--PrimaryFontColor);
    --H4FontFam: var(--PrimaryFontFam);
    --H4FontWeight: 500;
    --H4Size: 25px;
    --H4MarTop: 5px;
    --H4MarBottom: 10px;
    --H4LetterSpacing: 0.5px;
    --H4LineHeight: 35px;

    --H5Color: var(--PrimaryFontColor);
    --H5FontFam: var(--PrimaryFontFam);
    --H5FontWeight: 500;
    --H5Size: 21.6px;
    --H5MarTop: 5px;
    --H5MarBottom: 2.5px;
    --H5LetterSpacing: 0.5px;
    --H5LineHeight: 29px;

    --H6Color: var(--PrimaryFontColor);
    --H6FontFam: var(--PrimaryFontFam);
    --H6FontWeight: 500;
    --H6Size: 18.9px;
    --H6MarTop: 5px;
    --H6MarBottom: 10px;
    --H6LetterSpacing: 0.5px;
    --H6LineHeight: 24px;

    /* BUTTON PROPERTIES */
    --BtnBorderRadius: 60px;
    --BtnPaddingSmall: 10px 40px;
    --BtnFontFam: var(--PrimaryFontFam);
    --BtnFontWeight: 400;
    --BtnBgPrimary: var(--Purple);
}

body {
    font-family: var(--PrimaryFontFam);
    font-size: 18px;
    line-height: 28px;
    font-weight: 400;
    color: var(--PrimaryFontColor);
}

h1,
.h1,
.PageTitle {
    font-family: var(--H1FontFam);
    font-size: var(--H1Size);
    font-style: normal;
    font-weight: var(--H1FontWeight);
    line-height: var(--H1LineHeight);
    color: var(--H1Color);
    margin-top: var(--H1MarTop);
    margin-bottom: var(--H1MarBottom);
    -webkit-font-smoothing: antialiased;
}

h2,
.h2,
.PanelTitle {
    font-family: var(--H2FontFam);
    font-size: var(--H2Size);
    font-style: normal;
    font-weight: var(--H2FontWeight);
    line-height: var(--H2LineHeight);
    text-transform: capitalize;
    color: var(--H2Color);
    margin-top: var(--H2MarTop);
    margin-bottom: var(--H2MarBottom);
    border-bottom: none;
    -webkit-font-smoothing: antialiased;
}

h3,
.SectionTitle {
    font-family: var(--H3FontFam);
    font-size: var(--H3Size);
    font-style: normal;
    font-weight: var(--H3FontWeight);
    line-height: var(--H3LineHeight);
    color: var(--H3Color);
    margin-top: var(--H3MarTop);
    margin-bottom: var(--H3MarBottom);
    -webkit-font-smoothing: antialiased;
}

h4,
.h4,
.SectionLabel {
    font-family: var(--H4FontFam);
    font-size: var(--H4Size);
    font-style: normal;
    font-weight: var(--H4FontWeight);
    line-height: var(--H4LineHeight);
    color: var(--H4Color);
    margin-top: var(--H4MarTop);
    margin-bottom: var(--H4MarBottom);
    -webkit-font-smoothing: antialiased;
}

h5,
.h5,
.SectionLabelSmaller {
    font-family: var(--H5FontFam);
    font-size: var(--H5Size);
    font-style: normal;
    font-weight: var(--H5FontWeight);
    line-height: var(--H5LineHeight);
    color: var(--H5Color);
    margin-top: var(--H5MarTop);
    margin-bottom: var(--H5MarBottom);
    -webkit-font-smoothing: antialiased;
}

h6,
.h6 {
    font-family: var(--H6FontFam);
    font-size: var(--H6Size);
    font-style: normal;
    font-weight: var(--H6FontWeight);
    line-height: var(--H6LineHeight);
    color: var(--H6Color);
    margin-top: var(--H6MarTop);
    margin-bottom: var(--H6MarBottom);
    -webkit-font-smoothing: antialiased;
}

p {
    font-family: var(--PrimaryFontFam);
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 28px;
    color: var(--PrimaryFontColor);
}

.jc-overline {
    font-family: var(--PrimaryFontFam);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 12px;
    letter-spacing: 1.92px;
    text-transform: uppercase;
    color: var(--PrimaryFontColor);
}

.jc-large {
    font-family: var(--PrimaryFontFam);
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
    color: var(--PrimaryFontColor);
}

.jc-super-feature {
    font-family: var(--PrimaryFontFam);
    font-size: 28px;
    font-style: normal;
    font-weight: 400;
    line-height: 29px;
    letter-spacing: -0.072px;
    color: var(--PrimaryFontColor);
    display: inline-block;
}

.jc-feature {
    font-family: var(--PrimaryFontFam);
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: -0.062px;
    color: var(--PrimaryFontColor);
}

.jc-small {
    font-family: var(--PrimaryFontFam);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
    color: var(--PrimaryFontColor);
}

.jc-caption {
    font-family: var(--PrimaryFontFam);
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 13px;
    color: var(--PrimaryFontColor);
}

.jc-grey {
    color: var(--Dark-70);
}

input,
button,
select,
textarea {
    font-family: var(--PrimaryFontFam);
}

hr {
    margin-left: 0px;
    margin-right: 0px;
    border-width: 1px 0 0 0;
    border-style: solid;
    border-color: var(--Light);
    margin-top: 1em;
    margin-bottom: 1em;
}

.carousel h1,
.carousel h2,
.carousel h3,
.carousel h4,
.carousel h5 {
    font-weight: inherit;
    font-family: var(--PrimaryFontFam);
    color: var(--PrimaryFontColor);
}

/* ========== BUTTON STYLES ========== */

/* BASE BUTTON */
.btn,
.TextButton,
.TextButton:visited,
.RadUpload.RadUpload .ruButton,
.RadUpload.RadUpload .ruButton:visited,
.RadUploadProgressArea.RadUploadProgressArea .ruButton,
.RadUploadProgressArea.RadUploadProgressArea .ruButton:visited {
    display: inline-flex;
    padding: var(--BtnPaddingSmall);
    justify-content: center;
    align-items: center;
    border-radius: var(--BtnBorderRadius);
    font-family: var(--BtnFontFam);
    font-size: 18px;
    font-style: normal;
    font-weight: var(--BtnFontWeight);
    line-height: 20px;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    margin-bottom: 10px;
}

/* SECONDARY BUTTON */
.btn,
.TextButton,
.TextButton:visited,
.RadUpload.RadUpload .ruButton,
.RadUpload.RadUpload .ruButton:visited,
.RadUploadProgressArea.RadUploadProgressArea .ruButton,
.RadUploadProgressArea.RadUploadProgressArea .ruButton:visited {
    border: none;
    color: var(--Dark) !important;
    background: var(--Dark-70);
}

/* SECONDARY BUTTON HOVER STATES */
.btn:hover,
.btn:focus,
.btn:active,
.TextButton:hover,
.TextButton:focus,
.TextButton:active,
.RadUpload.RadUpload .ruButton:hover,
.RadUpload.RadUpload .ruButton:focus,
.RadUpload.RadUpload .ruButton:active,
.RadUploadProgressArea.RadUploadProgressArea .ruButton:hover,
.RadUploadProgressArea.RadUploadProgressArea .ruButton:focus,
.RadUploadProgressArea.RadUploadProgressArea .ruButton:active {
    background: var(--Dark-80);
}

/* PRIMARY BUTTON */
.TextButton.PrimaryButton {
    background: var(--BtnBgPrimary);
    border: 2px solid var(--BtnBgPrimary);
    color: var(--Light) !important;
}

.TextButton.PrimaryButton:hover {
    background: transparent;
    border-color: var(--BtnBgPrimary);
    color: var(--BtnBgPrimary) !important;
    text-decoration: none;
}

.PrimaryButton,
.UsePrimaryButton .TextButton,
.RadGrid input.PrimaryButton,
.RadGrid.RadGrid input.TextButton.PrimaryButton,
.RadGrid.RadGrid a.TextButton.PrimaryButton {
    background-color: var(--BtnBgPrimary);
}

.PrimaryButton:hover,
.PrimaryButton:focus,
.PrimaryButton:active,
.UsePrimaryButton .TextButton:hover,
.UsePrimaryButton .TextButton:focus,
.UsePrimaryButton .TextButton:active,
.RadGrid input.PrimaryButton:hover,
.RadGrid input.PrimaryButton:focus,
.RadGrid input.PrimaryButton:active,
.RadGrid.RadGrid input.TextButton.PrimaryButton:hover,
.RadGrid.RadGrid input.TextButton.PrimaryButton:focus,
.RadGrid.RadGrid input.TextButton.PrimaryButton:active,
.RadGrid.RadGrid a.TextButton.PrimaryButton:hover,
.RadGrid.RadGrid a.TextButton.PrimaryButton:focus,
.RadGrid.RadGrid a.TextButton.PrimaryButton:active {
    color: var(--BtnBgPrimary);
    text-decoration: none;
    background-color: var(--Light);
    border-color: var(--BtnBgPrimary);
}

.TextButton.LargeButton {
    padding: 20px 40px;
}
/* ========== END BUTTON STYLES ========== */

/* ========== ORIGINAL STYLES ========== */
.backToTop,
.header-announcement {
    background-color: var(--Green);
    color: var(--Light);
    text-align: center;
    padding-top: 10px;
    font-weight: bold;
}

.header-announcement h4 {
    color: var(--Light);
    text-transform: uppercase;
}

.header-aux-container {
    background: var(--Light);
}

.navbar-toggle,
.obo-toggle,
.ste-toggle,
.page-statistics-toggle,
.searchbar-toggle,
.account-menu .account-toggle .caret {
    background: var(--Dark);
}

.QueryTemplateSet.row.row-cols-md-1.simplePaginateList {
    padding-left: 0px;
    padding-right: 0px;
    padding-top: 0px;
}

footer.footer {
    background-color: var(--FooterBg);
    color: var(--Dark);
}
footer.footer a,
footer.footer a:hover,
footer.footer a:focus,
footer.footer a:active,
footer.footer a:visited {
    color: var(--Dark);
}
.footer.footer #ste_container_Logo img {
    max-width: 75%;
}
.Wrapper-HomePage header.header .header-background-container {
    display: none !important;
}
.Wrapper-HomePage .header-background-container {
    background-color: var(--Light);
}
.RadMenu.RadMenu_Coffee .rmRootLink {
    color: var(--Dark);
}
.Wrapper-HomePage header.header .home-page-header-container {
    display: block;
}
.header-aux-container .UtilityAuthentication a,
.header-aux-container a.NavigationLink,
.header-aux-container .UtilityNavigation .account-menu > li > a.sign-in-link,
.header-aux-container .account-toggle .nav-text {
    color: var(--Dark) !important;
}

header.header .header-announcement {
    grid-area: announcement;
    top: 0;
    left: 0;
    width: 100%;
    height: fit-content;
    align-self: start;
    justify-self: end;
    padding-left: 3px;
    padding-right: 3px;
    padding-bottom: 20px;
    z-index: 100;
}

.Wrapper-HomePage .home-page-header-container {
    padding-top: 0px;
    padding-bottom: 0px;
}
.FullWidthArea-StyleBg2 {
    display: none;
}
.marquee.marquee--6 {
    margin: 40px 0;
}
a.readMore {
    color: var(--Purple);
    height: 10px;
}

.readMore:after {
    background: var(--Purple);
}

.SearchField,
.SearchResultSummary .ListItemTitle a,
.UtilitySearch #SimpleSearchBlock .search-field {
    background-color: var(--Blue);
}

@media (min-width: 1380px) {
    header.header .header-primary-nav-container {
        max-width: 100%;
    }
}

@media (min-width: 992px) {
    header.header {
        display: grid;
        grid-template:
            "announcement" 25px
            "utility" auto
            "logo" auto
            "primary-nav" auto;
        grid-template-columns: 100%;
    }

    .Wrapper-HomePage header.header {
        display: grid;
        grid-template:
            "announcement" 25px
            "utility" auto
            "logo" auto
            "primary-nav" auto
            "banner" auto;
        grid-template-columns: 100%;
    }
    .col-sm-4.event-listing.aos-init.aos-animate {
        width: 30%;
        margin-right: 20px;
        box-shadow: 0px 3px 10px lightgray;
        border-radius: 10px;
    }

    .carousel .carousel-caption,
    .carousel2 .carousel-caption,
    .HomePageFullWidthArea .carousel-caption {
        left: 10%;
    }
    .FullWidthArea-StyleBg1 .row {
        padding: 20px 0px;
        flex-flow: wrap;
    }
    .FullWidthArea-StyleBg1 .home-spotlight {
        max-width: 100%;
    }

    .rmSlide .rmGroup a.rmLink.rmExpandRight::after {
        content: ">";
        display: inline-block;
        margin-left: -25px;
        width: 20px;
        height: 14px;
        color: rgb(39, 169, 204);
        font-weight: bold;
        text-align: center;
    }
}

@media (max-width: 991px) {
    header.header {
        grid-template:
            "announcement"
            "logo"
            "utility"
            "primary-nav";
    }
    .Wrapper-HomePage header.header {
        grid-template:
            "announcement"
            "logo"
            "utility"
            "primary-nav"
            "banner";
    }
    .header-logo-container {
        margin-top: 55px;
    }

    .FullWidthArea-StyleNews1 .row {
        background-color: var(--Blue);
    }
}

@media (max-width: 767px) {
    header.header .header-announcement {
        padding-bottom: 10px;
    }
}

/* ========== END STYLES ========== */

/*========================================================================
                          Custom Utility
========================================================================*/

.jcFullWidth {
    margin: 0px auto;
}

.jcMaxWidth {
    max-width: var(--max-width) !important;
}

.jcNoMaxWidth {
    max-width: unset !important;
}

#masterContentArea .row:has(.jcFullWidth) {
    max-width: 100% !important;
}

.col-sm-12:has(.jcFullWidth) {
    padding: 0px;
}

.jcBgColored {
    background-color: var(--CalloutBg);
}

.jcFullWidth .iMIS-WebPart {
    margin: 0px auto;
    max-width: var(--max-width);
}

.jcFullWidth.NoMax .iMIS-WebPart {
    max-width: 100%;
}

.jc-Secondary-Navigation {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: flex-end;
}

.jc-Secondary-Navigation .col-secondary {
    width: fit-content;
    display: block !important;
}

.jcBgColoredDark {
    background-color: var(--Dark) !important;
}

.jcBgColoredLight {
    background-color: var(--BgLight) !important;
}

.jcNoArrow::after {
    content: unset !important;
}

.jcTextXL {
    font-size: clamp(32px, 7vw, 55px);
    line-height: 1.2;
}

#mainContentWrapper > div > .row > .col-sm-12:has(.jcNoPadding) {
    padding-left: 0;
    padding-right: 0;
}

img.jc-responsive-image {
    width: 100%;
    display: block;
    object-fit: cover;
}

.RadMenu.RadMenu_Coffee > .rmHorizontal > .rmItem > a > .rmText {
    color: #fff;
}

.RadMenu.RadMenu_Coffee > .rmHorizontal > .rmItem > a:hover > .rmText {
    color: #8ed6e9;
}

.RadMenu.RadMenu_Coffee .rmRootGroup .rmRootLink .rmToggle .rmIcon {
    background-color: white;
}

@media (max-width: 992px) {
    img.jc-responsive-image {
        height: unset !important;
        width: 100% !important;
    }

    div#ste_container_HeaderLogoSpan {
        padding: 0px 15px;
    }

    .header-primary-nav-container {
        box-shadow: unset;
        background: linear-gradient(to bottom, #000000 0%, #000000 36%, #0c67c1 100%) !important;
    }
}

@media (min-width: 992px) {
    .header-primary-nav-container {
        max-width: unset !important;
    }

    div#ste_container_HeaderLogoSpan {
        max-width: 350px;
    }

    .header-logo-container {
        justify-self: left;
        max-width: var(--max-width) !important;
        width: 100%;
    }

    div#ste_container_ciPrimaryNavigation {
        max-width: var(--max-width) !important;
        margin: 0px auto;
        padding-left: 30px;
    }

    ul.rmRootGroup.rmToggleHandles.rmHorizontal {
        float: left;
    }
}

header#hd {
    box-shadow: unset;
}

.backToTop::after {
    position: relative;
    bottom: 10px;
}

a.ste-toggle.off {
    background-color: var(--Dark);
}

header#hd {
    box-shadow: unset;
    background: linear-gradient(to bottom, #000000 0%, #000000 36%, #0c67c1 100%);
}

.jc-sections .TaggedListPanel > table:not(:last-of-type),
.jc-sections .QueryTemplateSet > section:not(:last-of-type),
.jc-sections.inemi-connect > p:not(:last-of-type) {
    border-bottom: 1px solid #d3d3d3;
    margin-bottom: 20px;
    padding-bottom: 20px;
} 

.jc-sections .QueryTemplateItem .details h4,
.jc-sections .QueryTemplateItem .details p{
	color: var(--Blue);
}

.jc-sections .QueryTemplateItem p::before {
    content: "";
    display: inline-block;
    width: 25px;
    height: 25px;
    margin-bottom: -6px;
    margin-right: 4px;
    mask-image: url('images/event-icon.svg');
    mask-size: contain;

    background-color: currentColor;
}

